const defaults = require('@wordpress/scripts/config/webpack.config');
const path = require('path');

module.exports = {
  ...defaults,
  entry: {
    index: './src/components/wizard/index.jsx',
  },
  output: {
    path: path.resolve(__dirname, 'build'),
    filename: '[name].bundle.js',
    clean: true,
  },
  resolve: {
    ...defaults.resolve,
    extensions: ['.js', '.jsx', '.ts', '.tsx'],
  },
  externals: {
    ...defaults.externals,
    'jquery': 'jQuery',
  }
};